WordPress.org

Plugin Directory

Timely Booking Widgets

The Timely booking widget is a plugin to add our online booking feature to your WordPress site. Use it for both your “Booking Widget” and/or your

The Timely booking widget is a plugin to add our online booking feature to your WordPress site. Use it for both your “Booking Widget” and/or your “Book Now” button.

If you use WordPress to manage your website and you use the Timely booking calendar to run your business, you can make use of this plugin to include a booking button or widget on your website. Widgets (plugins) are a simple way of making your WordPress site look great. The best part is that we've done all the hard work for you!

With this plugin you can quickly and easily connect your Timely account to your WordPress site.

Timely - Smart booking software http://www.gettimely.com

Online booking features:

  • Easily book an appointment or class in a few clicks. No login is required.
  • Customers can choose from multiple locations.
  • Customers can book multiple services in the same appointment.
  • Set your available appointment time by rostering staff on as working.
  • Set a booking capacity for classes.
  • Add padding time (for prep or setup time) before and after bookings.
  • Take online payment for appointments using PayPal, Stripe, Pin Payments, DPS Payment Express, Authorize.Net or eWay.
  • Send a booking confirmation using SMS or email.
  • Sync your bookings to your iCal or Google Calendar.
  • Set a lead time for appointments. Such as: Can only book 48 hours in advance.
  • All your bookings is kept on one beautiful calendar that is easy to navigate.

Thousands of people around the world love using Timely to run their bookings! It’s easy to use, doesn't cost you a fortune and just works. Timely is packed with the business features you need to run your daily activities, plus it’s hosted in the cloud making accessing your account easy and convenient.

For more information visit our site: http://www.gettimely.com/ Or get in touch with us: hello@gettimely.com

Requires: 3.0.1 or higher
Compatible up to: 4.0.7
Last Updated: 2015-6-26
Active Installs: 300+

Ratings

5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1